# Uses of Class
org.springframework.transaction.reactive.TransactionContext

Packages that use TransactionContext
Package
Description
org.springframework.transaction.reactive
Support classes for reactive transaction management.

## Uses of TransactionContext in org.springframework.transaction.reactive

Methods in org.springframework.transaction.reactive that return TransactionContext
Modifier and Type
Method
Description
`TransactionContext`
TransactionContext.`getParent()`
Methods in org.springframework.transaction.reactive that return types with arguments of type TransactionContext
Modifier and Type
Method
Description
`static reactor.core.publisher.Mono<TransactionContext>`
TransactionContextManager.`currentContext()`
Obtain the current `TransactionContext` from the subscriber context or the transactional context holder.
Method parameters in org.springframework.transaction.reactive with type arguments of type TransactionContext
Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
TransactionalEventPublisher.`publishEvent(Function<TransactionContext,org.springframework.context.ApplicationEvent> eventCreationFunction)`
Publish an event created through the given function which maps the transaction source object (the `TransactionContext`) to the event instance.
Constructors in org.springframework.transaction.reactive with parameters of type TransactionContext
Modifier
Constructor
Description
``
`TransactionSynchronizationManager(TransactionContext transactionContext)`